/* GENERAL */

:root {
    --pp-gothic-tall-reglar: 'PP Right Gothic Tall Regular';
    --pp-gothic-spatial-fine: 'PP Right Gothic Spatial Fine';
    --pp-gothic-tall-fine: 'PP Right Gothic Tall Fine';
    --pp-gothic-compact-fine-italic: 'PP Right Gothic Compact Fine Italic';
    --pp-gothic-light: 'PP Right Gothic Light';
    --pp-gothic-narrow-light: 'PP Right Gothic Narrow Light';
    --pp-gothic-medium: 'PP Right Gothic Medium';
    --pp-gothic-tight-medium: 'PP Right Gothic Tight Medium';
    --pp-gothic-wide-medium: 'PP Right Gothic Wide Medium';
    --pp-gothic-medium-italic: 'PP Right Gothic Medium Italic';
    --pp-gothic-wide-medium-italic: 'PP Right Gothic Wide Medium Italic';
    --pp-gothic-compact-black: 'PP Right Gothic Compact Black';
    --pp-gothic-spatial-black: 'PP Right Gothic Spatial Black';
    --pp-gothic-wide-black: 'PP Right Gothic Wide Black';
    --pp-gothic-spatial-black-italic: 'PP Right Gothic Spatial Black Italic';
    --oswald: "Oswald", sans-serif;
    --fw-200: 200;
    --fw-300: 300;
    --fw-400: 400;
    --fw-500: 500;
    --fw-600: 600;
    --fw-700: 700;
}
html {
    scroll-padding-top: 71px;
    scroll-behavior: smooth;
}
body {
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
}
.empty {
    position: relative;
    min-height: 75vh;
}
.inner-empty {
    position: relative;
    height: calc(60vh - 70px);
    margin-top: 70px;
}
.sticky-top {
    top: 70px;
}
video {
    max-width: 100%;
}

/* TYPOGRAPHY */

.gothic-tall-reglar {
    font-family: var(--pp-gothic-tall-reglar);
}
.gothic-spatial-fine {
    font-family: var(--pp-gothic-spatial-fine);
}
.gothic-tall-fine {
    font-family: var(--pp-gothic-tall-fine);
}
.gothic-compact-fine-italic {
    font-family: var(--pp-gothic-compact-fine-italic);
}
.gothic-light {
    font-family: var(--pp-gothic-light);
}
.gothic-narrow-light {
    font-family: var(--pp-gothic-narrow-light);
}
.gothic-medium {
    font-family: var(--pp-gothic-medium);
}
.gothic-tight-medium {
    font-family: var(--pp-gothic-tight-medium);
}
.gothic-wide-medium {
    font-family: var(--pp-gothic-wide-medium);
}
.gothic-medium-italic {
    font-family: var(--pp-gothic-medium-italic);
}
.gothic-wide-medium-italic {
    font-family: var(--pp-gothic-wide-medium-italic);
}
.gothic-compact-black {
    font-family: var(--pp-gothic-compact-black);
}
.gothic-spatial-black {
    font-family: var(--pp-gothic-spatial-black);
}
.gothic-wide-black {
    font-family: var(--pp-gothic-wide-black);
}
.gothic-spatial-black-italic {
    font-family: var(--pp-gothic-spatial-black-italic);
}
.oswald {
    font-family: var(--oswald);
}
.fw-200 {
    font-weight: var(--fw-200);
}
.fw-300 {
    font-weight: var(--fw-300);
}
.fw-400 {
    font-weight: var(--fw-400);
}
.fw-500 {
    font-weight: var(--fw-500);
}
.fw-600 {
    font-weight: var(--fw-600);
}
.fw-700 {
    font-weight: var(--fw-700);
}
h1, h2, h3 {
    font-family: var(--pp-gothic-tall-reglar);
}
h1 {
    font-size: clamp(3rem, 5vw, 6rem) !important;
    line-height: 4rem;
    letter-spacing: 3px !important;
    filter: drop-shadow(1px 1px 2px rgba(0,0,0,.8));
}
h1 span {
    font-size: clamp(2.2rem, 5vw, 4rem) !important;
}
.inner-text-slogan-h2 {
    font-size: clamp(2rem, 5vw, 3rem) !important;
    line-height: 3rem;
}
.official-site {
    font-size: .75rem;
    font-weight: var(--fw-400);
    width: 96px;
    filter: drop-shadow(1px 1px 2px rgba(0,0,0,.8));
    transition: .3s linear all;
}
.official-site:hover {
    background-color: #c40000;
    transition: .3s linear all;
}
a {
    text-decoration: none;
}
.shadowed-text {
    filter: drop-shadow(1px 1px 2px rgba(0,0,0,.8));
}

/* COLORS */

.semitransparent {
    opacity: .7;
}
.bg-dark {
    background-color: #2e2e2e !important;
}
.dark-gradient {
    background: radial-gradient(circle, #2e2e2e 0%, #000000 100%);
}
.light-gradient {
    background: radial-gradient(circle, #ffffff 0%, #eeeeee 100%);
}
.grey-gradient {
    background: radial-gradient(circle, #e2e2e2 0%, #d1d1d1 100%);
}
.bg-red {
    background-color: #cc0000;
}
.btn.bg-gold {
    background-color: #f4ebd0;
    filter: drop-shadow(1px 1px 2px rgba(0,0,0,.8));
    transition: .3s linear all;
}
.btn.bg-gold:hover {
    background-color: #f1f1f1 !important;
    color: #202020 !important;
    transition: .3s linear all;
}
#contatti a {
    color: #f4ebd0;
    text-decoration: none;
}

/* SIZES */

.negative-bottom-margin {
    margin-bottom: -6px !important;
}
.inner-text-slogan {
    width: 50%;
    float: right;
}

/* NAVBAR */

.navbar-brand img {
    height: 45px;
    width: auto;
}
.navbar {
    transition: .3s linear all;
}
.navbar-scrolled {
    background-color: #e9e9e9 !important;
    transition: .3s linear all;
}
.navbar .navbar-brand img {
    transition: .3s linear all;
}
.navbar-scrolled .navbar-brand img {
    filter: invert(1) !important;
    transition: .3s linear all;
}
.navbar .nav-link {
    transition: .3s linear all;
}
.navbar-scrolled .nav-link {
    color: #9b9b9b !important;
    transition: .3s linear all;
}
.navbar-scrolled .nav-link.active {
    color: #212121 !important;
    transition: .3s linear all;
}
.navbar-toggler {
    width: 46px;
    height: 46px;
    padding: 10px;
    background-color: #000000;
    border-radius: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}
i.fa-solid.fa-bars-staggered {
    color: #32dd40;
}
.navbar-collapse {
    align-items: center;
    justify-content: center;
    text-align: center;
}
.progress-container {
    width: 100%;
    height: 1px;
    background: rgba(255,255,255,.5);
    position: absolute;
    bottom: 0;
    left: 0;
}
.progress-bar {
    height: 1px;
    background: #202020;
    width: 0%;
}

/* HOME */

#home {
    position: relative;
    width: 100%;
    height: 100vh;
    z-index: 0;
}
#bg-video {
    position: fixed;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 1;
    filter: saturate(1.2) contrast(1.2);
    transition: .3s linear all;
}
#slogan {
    position: fixed;
    top: calc(50% - 71px);
    width: 25%;
    left: 1rem;
    opacity: 1;
    z-index: 2;
    transition: .3s linear all;
}
.slogan-scrolled {
    top: 0 !important;
    opacity: 0 !important;
    transition: .3s linear all;
}

/* MAIN STYLES */

section {
    position: relative;
    filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, .75));
    z-index: 1;
}
#mynews {
    min-height: 50vh !important;
}
.image-overlay {
    top: 0;
    left: 0;
    z-index: 1;
    transition: .3s linear all;
}
.image-overlay .position-absolute {
    z-index: 2;
}
.image-overlay::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0);
    z-index: 1;
    transition: .3s linear all;
}
.image-overlay:hover::before {
    background-color: rgba(0,0,0,.85) !important;
    z-index: 1;
    transition: .3s linear all;
}
.image-overlay img.img-fluid {
    transform: scale(1);
    transition: .3s linear all;
}
.image-overlay:hover img.img-fluid {
    transform: scale(1.1);
    transition: .3s linear all;
}
.scrollTop {
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
    background-color: rgba(241,241,241,.8);
    padding: 0;
    height: 57px;
    width: 57px;
    text-align: center;
    opacity: 0;
    z-index: 999;
    cursor: pointer;
    transition: .5s linear all;
}
.scrollTop a {
    font-size: 30px;
    color: var(--grey-dark);
    line-height: 57px;
}

/* LIGHT SLIDER & LIGHT GALLERY */

.horizontal-lightslider .slider-inner-wrapper {
    top: 0;
}
.horizontal-lightslider img {
    width: 100%;
    height: auto;
}
.horizontal-lightslider li:hover h3 {
    color: #ffffff !important;
    transition: .3s linear all;
}
.gallery-image-wrapper {
    cursor: pointer;
    border: 1px solid rgba(0, 0, 0, .35);
    filter: drop-shadow(1px 1px 5px rgba(0,0,0,0));
    transition: .3s linear all;
}
.gallery-image-wrapper:hover {
    filter: drop-shadow(1px 1px 5px rgba(0,0,0,.7));
    transition: .3s linear all;
}
.gallery-image-wrapper::after {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: "\f002";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,.2);
    color: #ffffff;
    font-size: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1;
    transform: scale(1);
    transition: .3s linear all;
}
.gallery-image-wrapper:hover::after {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: "\f002";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0);
    color: #ffffff;
    font-size: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transform: scale(0);
    transition: .3s linear all;
}
.gallery-image-wrapper img {
    transform: scale(1);
    transition: .3s linear all;
}
.gallery-image-wrapper:hover img {
    transform: scale(1.2);
    transition: .3s linear all;
}

.gallery-video-wrapper {
    cursor: pointer;
    border: 1px solid rgba(0, 0, 0, .35);
    filter: drop-shadow(1px 1px 5px rgba(255,255,255,0));
    transition: .3s linear all;
}
.gallery-video-wrapper:hover {
    filter: drop-shadow(1px 1px 5px rgba(255,255,255,.5));
    transition: .3s linear all;
}
.gallery-video-wrapper::after {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: "\f144";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,.2);
    color: #ffffff;
    font-size: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1;
    transform: scale(1);
    filter: contrast(1.2) saturate(1.2);
    transition: .3s linear all;
}
.gallery-video-wrapper:hover::after {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: "\f144";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0);
    color: #ffffff;
    font-size: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transform: scale(0);
    filter: contrast(1) saturate(1);
    transition: .3s linear all;
}
.gallery-video-wrapper img {
    transform: scale(1);
    filter: contrast(1.2) saturate(1.2);
    transition: .3s linear all;
}
.gallery-video-wrapper:hover img {
    transform: scale(1.2);
    filter: contrast(1.2) saturate(1.2);
    transition: .3s linear all;
}

.lg-outer .lg-thumb-item {
    border-radius: 0;
}
.lg-outer .lg-thumb-item.active, .lg-outer .lg-thumb-item:hover {
    border-color: #cc0000;
}
.lg-sub-html {
    font-family: var(--oswald);
    font-weight: 400;
    text-transform: uppercase;
}
.lg-backdrop {
    background-color: rgba(0,0,0,.95);
}
.lg-actions .lg-next, .lg-actions .lg-prev {
    background-color: rgba(255,255,255,.2)
}

/* LEAFLET */

#map-contatti {
    min-height: 100vh;
}
.leaflet-popup-content {
    font-family: var(--oswald);
    text-align: center;
    font-weight: 400;
}
.leaflet-control-container a {
    color: #202020 !important;
}

/* MEDIA QUERIES */

@media (min-width: 1300px){
    span.heart {
        font-size: 4rem;
    }
    h2 {
        letter-spacing: 2px;
    }
    h2.slogan-text {
        letter-spacing: 3px;
    }
}
@media (max-width: 1299px){
    body {
        background-color: #000000;
    }
    h2.slogan-text, h2.section-title,h2.text-dark.text-center.display-4 {
        letter-spacing: 2px;
    }
    .position-absolute.d-flex.flex-column.align-items-center.justify-content-between.w-100.h-100.p-5 {
        padding: 2rem !important;
    }
    .image-overlay-light::before {
        background-color: rgba(255, 255, 255,.6) !important;
    }
    #map-contatti {
        min-height: 70vh;
    }
    .fs-5 {
        font-size: 1.2rem !important;
    }
    .empty h2.slogan-text {
        width: 80%;
        text-align: center;
        line-height: 3.5rem;
    }
}
@media (max-width: 1023px){
    #slogan {
        width: 100%;
        left: 50%;
        transform: translateX(-50%);
    }
    .image-overlay-light::before {
        background-color: rgba(255, 255, 255,.65) !important;
    }
    .empty {
        min-height: 55vh;
    }
    #map-contatti {
        min-height: 50vh;
    }
    .inner-text-slogan {
        width: 100%;
        float: none;
    }
}
@media (max-width: 650px){
    h1 {
        font-size: 3rem !important;
        letter-spacing: 3px !important;
        text-align: center !important;
        line-height: 3rem !important;
    }
    .section-title.display-1 {
            font-size: calc(2.5rem + 4.5vw);
    }
    .inner-text-slogan-h2 {
        line-height: 2rem;
    }
    h2.display-3 {
        font-size: calc(2rem + 3.3vw) !important;
    }
    h3.display-5 {
        font-size: calc(2rem + 2.1vw) !important;
    }
    .upper.h-50 {
        height: 100% !important;
    }
    .lower.h-50 {
        display: none;
    }
    .contact-logo {
        width: 70% !important; 
    }
    #map-contatti {
        min-height: 60vh;
    }
}